import { createApp } from 'vue';
import { createPinia } from 'pinia';

import App from './App.vue';
import router from './router';

import './assets/main.css';

import ElementPlus from 'element-plus';
import 'element-plus/theme-chalk/index.css';
import locale from 'element-plus/lib/locale/lang/zh-cn';
import moment from 'moment';
import _ from 'lodash';
import * as ElementPlusIconsVue from '@element-plus/icons-vue';
const app = createApp(App);

app.use(createPinia());
app.use(router);
app.use(ElementPlus, { locale });

for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
  app.component(key, component);
}
app.config.globalProperties.$moment = moment;
app.mount('#app');
