import { createRouter, createWebHistory } from 'vue-router';

const router = createRouter({
  history: createWebHistory(import.meta.env.VITE_BASE_URL),
  routes: [
    {
      path: '/',
      component: () => import('@/layout/Home.vue'),
      children: [
        {
          path: '/',
          name: 'index',
          meta: { title: '首页' },
          component: () => import('@/views/index.vue'),
        },
      ],
    },
  ],
});
router.beforeEach((to, form) => {
  window.document.title = to.meta.title as string;
});

export default router;
