import { fileURLToPath, URL } from 'node:url';

import { defineConfig, loadEnv } from 'vite';
import vue from '@vitejs/plugin-vue';

// https://vitejs.dev/config/
export default defineConfig(({ mode }) => {
  const env = loadEnv(mode, __dirname);
  return {
    base: env.VITE_BASE_URL,
    build: {
      outDir: env.VITE_OUT_DIR,
    },
    plugins: [vue()],
    server: {
      port: 20001,
      proxy: {
        '/api/live/v0': {
          target: 'http://broadcast.waityou24.cn',
        },
        '/api/util/dbInit': {
          target: 'http://broadcast.waityou24.cn',
        },
      },
    },
    resolve: {
      alias: {
        '@': fileURLToPath(new URL('./src', import.meta.url)),
      },
    },
  };
});
